다음을 통해 공유


Inbound Rules - List By Nat Gateway

지정된 NAT 게이트웨이 내 모든 인바운드 규칙을 나열합니다. 응답에서 nextLink 속성을 사용해 다음 인바운드 규칙 페이지를 받으세요.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.AzureStackHCI/natGateways/{natGatewayName}/inboundRules?api-version=2026-04-01-preview

URI 매개 변수

Name In(다음 안에) 필수 형식 Description
natGatewayName
path True

string

pattern: ^[a-zA-Z0-9]$|^[a-zA-Z0-9][-._a-zA-Z0-9]{0,62}[a-zA-Z0-9]$

NAT 게이트웨이의 이름

resourceGroupName
path True

string

minLength: 1
maxLength: 90

리소스 그룹의 이름입니다. 이름은 대소문자를 구분하지 않습니다.

subscriptionId
path True

string (uuid)

대상 구독의 ID입니다. 값은 UUID여야 합니다.

api-version
query True

string

minLength: 1

이 작업에 사용할 API 버전입니다.

응답

Name 형식 Description
200 OK

InboundRuleListResult

Azure 작업이 성공적으로 완료되었습니다.

Other Status Codes

ErrorResponse

예기치 않은 오류 응답입니다.

보안

azure_auth

Azure Active Directory OAuth2 흐름.

형식: oauth2
Flow: implicit
권한 부여 URL: https://login.microsoftonline.com/common/oauth2/authorize

범위

Name Description
user_impersonation 사용자 계정 가장

예제

ListInboundRulesByNatGateway

샘플 요청

GET https://management.azure.com/subscriptions/fd3c3665-1729-4b7b-9a38-238e83b0f98b/resourceGroups/test-rg/providers/Microsoft.AzureStackHCI/natGateways/test-nat-gw/inboundRules?api-version=2026-04-01-preview

샘플 응답

{
  "value": [
    {
      "name": "rdp-inbound-rule",
      "type": "Microsoft.AzureStackHCI/natGateways/inboundRules",
      "id": "/subscriptions/fd3c3665-1729-4b7b-9a38-238e83b0f98b/resourceGroups/test-rg/providers/Microsoft.AzureStackHCI/natGateways/test-nat-gw/inboundRules/rdp-inbound-rule",
      "extendedLocation": {
        "name": "/subscriptions/fd3c3665-1729-4b7b-9a38-238e83b0f98b/resourceGroups/dogfoodarc/providers/Microsoft.ExtendedLocation/customLocations/dogfood-location",
        "type": "CustomLocation"
      },
      "properties": {
        "protocol": "Tcp",
        "frontendPort": 3389,
        "backendPort": 3389,
        "backendIPConfiguration": {
          "resourceId": "/subscriptions/fd3c3665-1729-4b7b-9a38-238e83b0f98b/resourceGroups/test-rg/providers/Microsoft.AzureStackHCI/networkInterfaces/test-nic/ipConfigurations/ipconfig1"
        },
        "publicIPAddress": {
          "resourceId": "/subscriptions/fd3c3665-1729-4b7b-9a38-238e83b0f98b/resourceGroups/test-rg/providers/Microsoft.AzureStackHCI/publicIPAddresses/test-public-ip"
        },
        "provisioningState": "Succeeded",
        "status": {
          "provisioningStatus": {
            "operationId": "12345678-1234-1234-1234-123456789012",
            "status": "Succeeded"
          }
        }
      }
    },
    {
      "name": "ssh-inbound-rule",
      "type": "Microsoft.AzureStackHCI/natGateways/inboundRules",
      "id": "/subscriptions/fd3c3665-1729-4b7b-9a38-238e83b0f98b/resourceGroups/test-rg/providers/Microsoft.AzureStackHCI/natGateways/test-nat-gw/inboundRules/ssh-inbound-rule",
      "extendedLocation": {
        "name": "/subscriptions/fd3c3665-1729-4b7b-9a38-238e83b0f98b/resourceGroups/dogfoodarc/providers/Microsoft.ExtendedLocation/customLocations/dogfood-location",
        "type": "CustomLocation"
      },
      "properties": {
        "protocol": "Tcp",
        "frontendPort": 22,
        "backendPort": 22,
        "backendIPConfiguration": {
          "resourceId": "/subscriptions/fd3c3665-1729-4b7b-9a38-238e83b0f98b/resourceGroups/test-rg/providers/Microsoft.AzureStackHCI/networkInterfaces/test-nic-2/ipConfigurations/ipconfig1"
        },
        "publicIPAddress": {
          "resourceId": "/subscriptions/fd3c3665-1729-4b7b-9a38-238e83b0f98b/resourceGroups/test-rg/providers/Microsoft.AzureStackHCI/publicIPAddresses/test-public-ip"
        },
        "provisioningState": "Succeeded",
        "status": {
          "provisioningStatus": {
            "operationId": "87654321-4321-4321-4321-210987654321",
            "status": "Succeeded"
          }
        }
      }
    }
  ]
}

정의

Name Description
createdByType

리소스를 만든 ID의 형식입니다.

ErrorAdditionalInfo

리소스 관리 오류 추가 정보입니다.

ErrorDetail

오류 세부 정보입니다.

ErrorResponse

오류 응답

ExtendedLocation

확장된 위치의 복합 형식입니다.

ExtendedLocationTypes

extendedLocation의 형식입니다.

InboundNATRuleProtocol

인바운드 NAT 규칙 프로토콜

InboundRule

인바운드 룰 리소스 정의.

InboundRuleListResult

InboundRule 리스트 연산의 응답.

InboundRuleProperties

Inbound rule properties - InboundNATRuleProperties를 추가 상태 추적으로 확장합니다

InboundRuleStatus

관찰된 인바운드 규칙 상태

InboundRuleStatusProvisioningStatus

인바운드 규칙의 프로비저닝 상태

IPConfigurationArmReference

IPConfiguration 리소스의 Azure Resource ID

ProvisioningStateEnum

리소스의 프로비전 상태입니다.

PublicIPAddressArmReference

공용 IP 리소스의 Azure 리소스 ID

Status

리소스에 대해 수행된 작업의 상태 [성공, 실패, InProgress]

systemData

리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.

createdByType

리소스를 만든 ID의 형식입니다.

Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

리소스 관리 오류 추가 정보입니다.

Name 형식 Description
info

object

추가 정보입니다.

type

string

추가 정보 유형입니다.

ErrorDetail

오류 세부 정보입니다.

Name 형식 Description
additionalInfo

ErrorAdditionalInfo[]

오류 추가 정보입니다.

code

string

오류 코드입니다.

details

ErrorDetail[]

오류 세부 정보입니다.

message

string

오류 메시지입니다.

target

string

오류 대상입니다.

ErrorResponse

오류 응답

Name 형식 Description
error

ErrorDetail

오류 개체입니다.

ExtendedLocation

확장된 위치의 복합 형식입니다.

Name 형식 Description
name

string

확장된 위치의 이름입니다.

type

ExtendedLocationTypes

확장된 위치의 형식입니다.

ExtendedLocationTypes

extendedLocation의 형식입니다.

Description
CustomLocation

사용자 지정 확장 위치 유형

InboundNATRuleProtocol

인바운드 NAT 규칙 프로토콜

Description
Tcp

TCP - TCP 트래픽만 부하 분산

Udp

UDP - 부하 분산 오직 UDP 트래픽

InboundRule

인바운드 룰 리소스 정의.

Name 형식 Description
extendedLocation

ExtendedLocation

리소스의 extendedLocation입니다.

id

string (arm-id)

리소스에 대한 정규화된 리소스 ID입니다. 예: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

리소스의 이름

properties

InboundRuleProperties

이 리소스에 대한 리소스별 속성입니다.

systemData

systemData

createdBy 및 modifiedBy 정보가 포함된 Azure Resource Manager 메타데이터입니다.

type

string

리소스의 형식입니다. 예: "Microsoft.Compute/virtualMachines" 또는 "Microsoft.Storage/storageAccounts"

InboundRuleListResult

InboundRule 리스트 연산의 응답.

Name 형식 Description
nextLink

string (uri)

항목의 다음 페이지에 대한 링크

value

InboundRule[]

이 페이지의 InboundRule 항목들

InboundRuleProperties

Inbound rule properties - InboundNATRuleProperties를 추가 상태 추적으로 확장합니다

Name 형식 Description
backendIPConfiguration

IPConfigurationArmReference

대상 백엔드의 IP 설정.

backendPort

integer (int32)

인바운드 규칙을 위한 백엔드 포트

frontendPort

integer (int32)

인바운드 규칙을 위한 프론트엔드 포트

protocol

InboundNATRuleProtocol

NAT 규칙 프로토콜

provisioningState

ProvisioningStateEnum

인바운드 규칙의 프로비저닝 상태

publicIPAddress

PublicIPAddressArmReference

이 NAT 규칙의 공인 IP 주소

status

InboundRuleStatus

관찰된 인바운드 규칙 상태

InboundRuleStatus

관찰된 인바운드 규칙 상태

Name 형식 Description
errorCode

string

InboundRule 프로비저닝 오류 코드

errorMessage

string

설명 오류 메시지

provisioningStatus

InboundRuleStatusProvisioningStatus

InboundRule 프로비저닝 상태

InboundRuleStatusProvisioningStatus

인바운드 규칙의 프로비저닝 상태

Name 형식 Description
operationId

string

인바운드 규칙에 수행된 연산의 ID

status

Status

인바운드 규칙 [성공, 실패, 진행 중]에서 수행된 작업 상태는

IPConfigurationArmReference

IPConfiguration 리소스의 Azure Resource ID

Name 형식 Description
resourceId

string (arm-id)

IPConfiguration 리소스의 Azure Resource ID

ProvisioningStateEnum

리소스의 프로비전 상태입니다.

Description
Succeeded

프로비저닝에 성공했습니다.

Failed

프로비저닝에 실패했습니다.

InProgress

프로비저닝이 진행 중입니다.

Accepted

프로비저닝이 수락되었습니다.

Deleting

리소스 삭제가 진행 중입니다.

Canceled

프로비저닝이 취소되었습니다.

PublicIPAddressArmReference

공용 IP 리소스의 Azure 리소스 ID

Name 형식 Description
resourceId

string (arm-id)

공용 IP 리소스의 Azure 리소스 ID

Status

리소스에 대해 수행된 작업의 상태 [성공, 실패, InProgress]

Description
Succeeded

작업이 성공했습니다.

Failed

작업이 실패했습니다.

InProgress

작업이 진행 중입니다.

systemData

리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.

Name 형식 Description
createdAt

string (date-time)

리소스 만들기의 타임스탬프(UTC)입니다.

createdBy

string

리소스를 만든 ID입니다.

createdByType

createdByType

리소스를 만든 ID의 형식입니다.

lastModifiedAt

string (date-time)

리소스 마지막 수정의 타임스탬프(UTC)

lastModifiedBy

string

리소스를 마지막으로 수정한 ID입니다.

lastModifiedByType

createdByType

리소스를 마지막으로 수정한 ID의 형식입니다.